MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002415VCMIGUI - Battlespublic2016-02-16 17:202016-07-23 07:54
ReporterSan Zamoyski 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platform64OSLinux MintOS VersionKDE 17.3
Product Version 
Target VersionFixed in Version0.99 
Summary0002415: Crash on castle battle
DescriptionHi!

I'm getting crash while fighting in town.

gdb attached in additional information.

------------------
vcmiclient -v
Starting...
VCMI 0.98g
  game data: /usr/share/vcmi:/usr/share//vcmi:/usr/local/share//vcmi:/usr/share/kde-plasma/vcmi:/usr/share/vcmi
  libraries: /usr/lib/x86_64-linux-gnu/vcmi
  server: /usr/games/vcmiserver

  user data: /home/san/.local/share/vcmi
  user cache: /home/san/.cache/vcmi
  user config: /home/san/.config/vcmi
  user saves: /home/san/.local/share/vcmi/Saves
-------------------

Regards
Steps To ReproduceLoad game (attached). Go fight.
Additional Information[email protected]:~ > gdb vcmiclient
GNU gdb (Ubuntu 7.7.1-0ubuntu5~14.04.2) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from vcmiclient...Reading symbols from /usr/lib/debug/.build-id/29/cf5756e21f81785cae68c42f075bbe1182bdaf.debug...done.
done.
(gdb) run
Starting program: /usr/games/vcmiclient
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Starting...
[New Thread 0x7fffe744f700 (LWP 14889)]
Creating console and configuring logger: 16
The log file will be saved to "/home/san/.cache/vcmi/VCMI_Client_log.txt"
         Initialization: 11
         Data loading: 129
        Mod handler: 0
         Mod filesystems: 48
Basic initialization: 190
Initialized logging system based on settings successfully.
Loading settings: 193
VCMI 0.98g (client)
[New Thread 0x7fffe6854700 (LWP 14890)]
[New Thread 0x7fffdc0b8700 (LWP 14891)]
[New Thread 0x7fffd767e700 (LWP 14892)]
Found 3 render drivers
        opengl (active)
        opengles2
        software
[Thread 0x7fffd767e700 (LWP 14892) exited]
Created renderer opengl
        Initializing screen: 210
        Initializing video: 85
[New Thread 0x7fffd767e700 (LWP 14896)]
Initializing screen and sound handling: 4
[New Thread 0x7fffdb100700 (LWP 14897)]
                Bonus type handler: 18
                General text handler: 19
                Hero handler: 8
                Artifact handler: 0
                Creature handler: 1
                Town handler: 0
                Object handler: 0
                Object types information handler: 0
                Spell handler: 0
                Terrain view pattern handler: 5
                Template handler: 0
        Initializing handlers: 54
        Initializing content handler: 448 ms
                [ecad7462] Original game files
                [18d66599] VCMI essential files
                [b2b44abe] High-res Menu
                [d2f70049] Default templates
                [c062ec1f] Analogy
                [6f38eb5d] Clash of Dragons
                [2e187b77] Coldshadow's Fantasy
                [7c9e2782] Golden Ring
                [82f5b9e9] Jebus Cross
                [6f43bde0] Upgrade
        Parsing mod data: 144 ms
                [SKIP] Original game files
                [SKIP] VCMI essential files
                [SKIP] High-res Menu
                [SKIP] Default templates
                [SKIP] Analogy
                [SKIP] Clash of Dragons
                [SKIP] Coldshadow's Fantasy
                [SKIP] Golden Ring
                [SKIP] Jebus Cross
                [SKIP] Upgrade
        Loading mod data: 292ms
        Resolving identifiers: 32 ms
No templates found for 38:1
No templates found for 49:1
No templates found for 70:0
No templates found for 79:7
No templates found for 90:1
No templates found for 100:1
No templates found for 103:1
No templates found for 113:1
No templates found for 172:0
No templates found for 186:0
No templates found for 189:0
        Handlers post-load finalization: 44 ms
        All game content loaded in 961 ms
Initializing VCMI_Lib: 1025
Loading and transforming heroes' flags: 191
Screen handler: 217
        Main graphics: 124
Initializing game graphics: 343
Message handler: 11
Initialization of VCMI (together): 1893
[Thread 0x7fffdb100700 (LWP 14897) exited]
Blocking buttons from 1
[New Thread 0x7fffdb100700 (LWP 14945)]
Loading procedure started!
[New Thread 0x7fffda144700 (LWP 14946)]
Setting up thread calling server: 0
Loading lib part of game...
        Reading header
        Reading options
        Reading handlers
Desync found! Position: 288319
        Reading gamestate
Loaded common part of save 831
        Preparing FoW, roads, rivers,borders: 68
        Making object rects: 255
Initing maphandler: 334
No templates found for 38:1
No templates found for 49:1
No templates found for 70:0
No templates found for 79:7
No templates found for 90:1
No templates found for 100:1
No templates found for 103:1
No templates found for 113:1
No templates found for 172:0
No templates found for 186:0
No templates found for 189:0
Waiting for server: 15
Establishing connection...
Found endpoints:
        0: 127.0.0.1:3030
Trying connection to 127.0.0.1:3030 (0)
Established connection with VCMI 0.98g (server)
        Connecting to the server: 7
Server opened savegame properly.
CLIENTPLAYERS:
0
1
2
4
255
ENDCLIENTPLAYERS
Opening VCAI
Loaded VCAI
Engine:
InputVariable: OurShooters
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: OurWalkers
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: OurFlyers
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: EnemyShooters
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: EnemyWalkers
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: EnemyFlyers
  enabled: true
  range: 0.000 1.000
  term: FEW Ramp 0.600 0.000
  term: MANY Ramp 0.400 1.000
InputVariable: OurSpeed
  enabled: true
  range: 0.000 25.000
  term: LOW Ramp 6.500 3.000
  term: MEDIUM Triangle 5.500 8.000 10.500
  term: HIGH Ramp 8.500 16.000
InputVariable: EnemySpeed
  enabled: true
  range: 0.000 25.000
  term: LOW Ramp 6.500 3.000
  term: MEDIUM Triangle 5.500 8.000 10.500
  term: HIGH Ramp 8.500 16.000
InputVariable: CastleWalls
  enabled: true
  range: 0.000 3.000
  term: NONE Rectangle 0.000 0.500
  term: MEDIUM Trapezoid 0.500 1.000 2.000 2.500
  term: HIGH Ramp 1.900 3.000
InputVariable: Bank
  enabled: true
  range: 0.000 1.000
  term: FALSE Rectangle 0.000 0.500
  term: TRUE Rectangle 0.500 1.000
OutputVariable: Threat
  enabled: true
  range: 0.500 1.500
  accumulation: AlgebraicSum
  defuzzifier: Centroid 200
  default: nan
  lock-previous: false
  lock-range: false
  term: LOW Ramp 1.000 0.500
  term: MEDIUM Triangle 0.800 1.000 1.200
  term: HIGH Ramp 1.000 1.500
RuleBlock:
  enabled: true
  conjunction: Minimum
  disjunction: Maximum
  activation: Minimum
  rule: if OurShooters is MANY and EnemySpeed is LOW then Threat is LOW
  rule: if OurShooters is MANY and EnemyShooters is FEW then Threat is LOW
  rule: if OurSpeed is LOW and EnemyShooters is MANY then Threat is HIGH
  rule: if OurSpeed is HIGH and EnemyShooters is MANY then Threat is LOW
  rule: if OurWalkers is FEW and EnemyShooters is MANY then Threat is somewhat LOW
  rule: if OurShooters is MANY and EnemySpeed is HIGH then Threat is somewhat HIGH
  rule: if OurShooters is FEW and EnemySpeed is HIGH then Threat is MEDIUM
  rule: if EnemySpeed is MEDIUM then Threat is MEDIUM
  rule: if EnemySpeed is LOW and OurShooters is FEW then Threat is MEDIUM
  rule: if Bank is TRUE and OurShooters is MANY then Threat is somewhat HIGH
  rule: if Bank is TRUE and EnemyShooters is MANY then Threat is LOW
  rule: if CastleWalls is HIGH and OurWalkers is MANY then Threat is very HIGH
  rule: if CastleWalls is HIGH and OurFlyers is MANY and OurShooters is MANY then Threat is MEDIUM
  rule: if CastleWalls is MEDIUM and OurShooters is MANY and EnemyWalkers is MANY then Threat is LOW
Engine:
InputVariable: strengthRatio
  enabled: true
  range: 0.000 4.500
  term: LOW Ramp 1.500 0.000
  term: HIGH Ramp 1.500 4.500
InputVariable: heroStrength
  enabled: true
  range: 0.000 1.000
  term: LOW Ramp 0.200 0.000
  term: MEDIUM Triangle 0.200 0.500 0.800
  term: HIGH Ramp 0.500 1.000
InputVariable: turnDistance
  enabled: true
  range: 0.000 3.000
  term: SMALL Ramp 0.500 0.000
  term: MEDIUM Triangle 0.100 0.450 0.800
  term: LONG Ramp 0.500 3.000
InputVariable: lockedMissionImportance
  enabled: true
  range: 0.000 5.000
  term: LOW Ramp 2.500 0.000
  term: MEDIUM Triangle 2.000 2.500 3.000
  term: HIGH Ramp 2.500 5.000
OutputVariable: Value
  enabled: true
  range: 0.000 5.000
  accumulation: AlgebraicSum
  defuzzifier: Centroid 200
  default: nan
  lock-previous: false
  lock-range: false
  term: LOW Ramp 2.500 0.000
  term: MEDIUM Triangle 2.000 2.500 3.000
  term: HIGH Ramp 2.500 5.000
RuleBlock:
  enabled: true
  conjunction: Minimum
  disjunction: Maximum
  activation: Minimum
  rule: if strengthRatio is HIGH and heroStrength is LOW then Value is very HIGH
  rule: if strengthRatio is HIGH and heroStrength is MEDIUM then Value is somewhat HIGH
  rule: if strengthRatio is HIGH and heroStrength is HIGH then Value is somewhat LOW
  rule: if strengthRatio is LOW and heroStrength is LOW then Value is very LOW
  rule: if strengthRatio is LOW and heroStrength is MEDIUM then Value is somewhat HIGH
  rule: if strengthRatio is LOW and heroStrength is HIGH then Value is LOW
  rule: if lockedMissionImportance is HIGH then Value is very LOW
  rule: if lockedMissionImportance is MEDIUM then Value is somewhat LOW
  rule: if lockedMissionImportance is LOW then Value is HIGH
  rule: if turnDistance is SMALL then Value is HIGH
  rule: if turnDistance is MEDIUM then Value is MEDIUM
  rule: if turnDistance is LONG then Value is LOW
Opening VCAI
Loaded VCAI
Opening VCAI
Loaded VCAI
Opening StupidAI
Loaded Stupid AI 0.1
Loaded client part of save 143
Sent info to server: 0
[New Thread 0x7fffd938e700 (LWP 14951)]
[Thread 0x7fffdb100700 (LWP 14945) exited]
Warning: IntObject re-activated with mismatching used and active
[New Thread 0x7fffdb100700 (LWP 14952)]
[Thread 0x7fffdb100700 (LWP 14952) exited]
Arrow Tower doesn't have a base stack!
Arrow Tower doesn't have a base stack!
Arrow Tower doesn't have a base stack!
Catapult doesn't have a base stack!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Opening StupidAI
Loaded Stupid AI 0.1
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
[New Thread 0x7fffdb100700 (LWP 14955)]
[Thread 0x7fffdb100700 (LWP 14955) exited]
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
[New Thread 0x7fffdb100700 (LWP 14956)]
[Thread 0x7fffdb100700 (LWP 14956) exited]
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!
Error: accessing unavailable frame 0:151 in CAnimation!

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff68397f5 in ?? () from /usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0
 
TagsNo tags attached.
Attached Filesrar file icon CiC.vcgm1.rar [^] (583,349 bytes) 2016-02-16 17:20
rar file icon ATR.rar [^] (587,130 bytes) 2016-02-17 14:35
tgz file icon segfault.tgz [^] (1,460,769 bytes) 2016-04-13 11:06

- Relationships
related to 0002442resolvedAVS crash after town battle 
related to 0002449resolvedAVS Game crashes during battle 

-  Notes
(0006435)
San Zamoyski (reporter)
2016-02-17 14:36

ATR (save) is another situation i get segfault:

Opening StupidAI
Loaded Stupid AI 0.1
[New Thread 0x7fffdb100700 (LWP 20934)]
[Thread 0x7fffdb100700 (LWP 20934) exited]
[New Thread 0x7fffdb100700 (LWP 20935)]
[Thread 0x7fffdb100700 (LWP 20935) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd959b700 (LWP 20827)]
0x00007ffff6836bfc in ?? () from /usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0
(0006436)
SXX (administrator)
2016-02-19 08:03

Is it crash every time for you? If yes can you try to set AI to "BattleAI" in launcher and check if it's crashing too?
(0006437)
SXX (administrator)
2016-02-19 08:05

One more question. When you first encounter crash was drawbridge already there (opening / closing) or no?

I wonder as it's may be my latest branch introduced that crash.
(0006444)
SXX (administrator)
2016-02-22 18:25

Yep I think my last changed to branch wasn't good enough sadly. Going to fix it soon.
(0006479)
SXX (administrator)
2016-03-14 07:47

Should now always work properly:
https://github.com/vcmi/vcmi/commit/af05b025e7bb76294e6947bcdc9ac8c86a176d44 [^]
(0006500)
occulkot (reporter)
2016-04-13 11:09

got similar issue after heroes (elleshar the druid or wystan the beastmaster
) succesfuly conquers the towns
saves and logs included

os archlinux
vcmi-git compiled from rev 2e70d29

VCMI 0.98h
  game data: /usr/share/vcmi:/usr/share/:/usr/local/share/
  libraries: /usr/lib/vcmi
  server: /usr/bin/vcmiserver

  user data: /home/occulkot/.local/share/vcmi
  user cache: /home/occulkot/.cache/vcmi
  user config: /home/occulkot/.config/vcmi
  user saves: /home/occulkot/.local/share/vcmi/Saves

- Issue History
Date Modified Username Field Change
2016-02-16 17:20 San Zamoyski New Issue
2016-02-16 17:20 San Zamoyski File Added: CiC.vcgm1.rar
2016-02-17 14:35 San Zamoyski File Added: ATR.rar
2016-02-17 14:36 San Zamoyski Note Added: 0006435
2016-02-19 08:03 SXX Note Added: 0006436
2016-02-19 08:05 SXX Note Added: 0006437
2016-02-19 08:05 SXX Assigned To => SXX
2016-02-19 08:05 SXX Status new => feedback
2016-02-22 18:25 SXX Note Added: 0006444
2016-02-22 18:25 SXX Status feedback => assigned
2016-03-14 07:47 SXX Note Added: 0006479
2016-03-14 07:47 SXX Status assigned => resolved
2016-03-14 07:47 SXX Fixed in Version => 0.99
2016-03-14 07:47 SXX Resolution open => fixed
2016-04-13 11:06 occulkot File Added: segfault.tgz
2016-04-13 11:09 occulkot Note Added: 0006500
2016-07-05 13:27 AVS Relationship added related to 0002442
2016-07-23 07:54 AVS Relationship added related to 0002449

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean